##############################################################################
#
# Copyright (c) 2002 Nexedi SARL and Contributors. All Rights Reserved.
#                    Philippe Beaumont <pb@nexedi.com>
#
# WARNING: This program as such is intended to be used by professional
# programmers who take the whole responsability of assessing all potential
# consequences resulting from its eventual inadequacies and bugs
#
# This program as such is not intended to be used by end users. End
# users who are looking for a ready-to-use solution with commercial
# garantees and support are strongly adviced to contract a Free Software
# Service Company
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
##############################################################################

from Products.ZCatalog.ZCatalog import ZCatalog
from Globals import DTMLFile
from Products.ZSQLCatalog.SQLIndex.SQLIndex import SQLIndex
from ZSQLCatalogIndexes import ZSQLCatalogIndexes

manage_addZSQLCatalogForm=DTMLFile('dtml/addZSQLCatalog', globals())

def manage_addZSQLCatalog(self, id, title,
                       vocab_id='create_default_catalog_',
                       REQUEST=None):
    """Add a ZSQLCatalog object
    """
    id=str(id)
    title=str(title)
    vocab_id=str(vocab_id)
    if vocab_id == 'create_default_catalog_':
        vocab_id = None

    c=ZSQLCatalog(id, title, vocab_id, self)
    self._setObject(id, c)
    if REQUEST is not None:
        return self.manage_main(self, REQUEST,update_menu=1)

class ZSQLCatalog(ZCatalog):
  """
  This is ZSQLCatalog.

  author: Philippe Beaumont
  Nexedi at www.nexedi.com
  April, 9th 2002
  """

  meta_type = 'ZSQLCatalog'

  Indexes = ZSQLCatalogIndexes()

# Initialize product class
# ------------------------

#InitializeClass(ZSQLCatalog)
